org.bouncycastle.bcpg.sig

## Class KeyExpirationTime

- java.lang.Object
- - org.bouncycastle.bcpg.SignatureSubpacket
  - - org.bouncycastle.bcpg.sig.KeyExpirationTime

    public class KeyExpirationTime
    extends SignatureSubpacket

packet giving time after creation at which the key expires.

### Field Summary

### Fields inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`data`

### Constructor Summary

Constructors
Constructor and Description
`KeyExpirationTime(boolean critical, byte[] data)`
`KeyExpirationTime(boolean critical, long seconds)`

### Method Summary

Methods
`long` `getTime()` Return the number of seconds after creation time a key is valid for.
`protected static byte[]` `timeToBytes(long t)`

### Methods inherited from class org.bouncycastle.bcpg.SignatureSubpacket

`encode, getData, getType, isCritical`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyExpirationTime

    public KeyExpirationTime(boolean critical,
                     byte[] data)

#### KeyExpirationTime

    public KeyExpirationTime(boolean critical,
                     long seconds)

### Method Detail

#### timeToBytes

    protected static byte[] timeToBytes(long t)

#### getTime

    public long getTime()

Return the number of seconds after creation time a key is valid for.

Returns:
  second count for key validity.